Loading...
Searching...
No Matches
geadd: Add matrices
Dense LA » MAGMA BLAS and Auxiliary » Level 2: matrix-vector operations, O(n^2) work

\(B = \alpha A + \beta B\) More...

## Functions

void | magmablas_cgeadd (magma_int_t m, magma_int_t n, magmaFloatComplex alpha, magmaFloatComplex_const_ptr dA, magma_int_t ldda, magmaFloatComplex_ptr dB, magma_int_t lddb, magma_queue_t queue)
| ZGEADD adds two matrices, dB = alpha*dA + dB.
void | magmablas_cgeadd2 (magma_int_t m, magma_int_t n, magmaFloatComplex alpha, magmaFloatComplex_const_ptr dA, magma_int_t ldda, magmaFloatComplex beta, magmaFloatComplex_ptr dB, magma_int_t lddb, magma_queue_t queue)
| ZGEADD2 adds two matrices, dB = alpha*dA + beta*dB.
void | magmablas_dgeadd (magma_int_t m, magma_int_t n, double alpha, magmaDouble_const_ptr dA, magma_int_t ldda, magmaDouble_ptr dB, magma_int_t lddb, magma_queue_t queue)
| ZGEADD adds two matrices, dB = alpha*dA + dB.
void | magmablas_dgeadd2 (magma_int_t m, magma_int_t n, double alpha, magmaDouble_const_ptr dA, magma_int_t ldda, double beta, magmaDouble_ptr dB, magma_int_t lddb, magma_queue_t queue)
| ZGEADD2 adds two matrices, dB = alpha*dA + beta*dB.
void | magmablas_sgeadd (magma_int_t m, magma_int_t n, float alpha, magmaFloat_const_ptr dA, magma_int_t ldda, magmaFloat_ptr dB, magma_int_t lddb, magma_queue_t queue)
| ZGEADD adds two matrices, dB = alpha*dA + dB.
void | magmablas_sgeadd2 (magma_int_t m, magma_int_t n, float alpha, magmaFloat_const_ptr dA, magma_int_t ldda, float beta, magmaFloat_ptr dB, magma_int_t lddb, magma_queue_t queue)
| ZGEADD2 adds two matrices, dB = alpha*dA + beta*dB.
void | magmablas_zgeadd (magma_int_t m, magma_int_t n, magmaDoubleComplex alpha, magmaDoubleComplex_const_ptr dA, magma_int_t ldda, magmaDoubleComplex_ptr dB, magma_int_t lddb, magma_queue_t queue)
| ZGEADD adds two matrices, dB = alpha*dA + dB.
void | magmablas_zgeadd2 (magma_int_t m, magma_int_t n, magmaDoubleComplex alpha, magmaDoubleComplex_const_ptr dA, magma_int_t ldda, magmaDoubleComplex beta, magmaDoubleComplex_ptr dB, magma_int_t lddb, magma_queue_t queue)
| ZGEADD2 adds two matrices, dB = alpha*dA + beta*dB.

## Detailed Description

\(B = \alpha A + \beta B\)

## Function Documentation

## magmablas_cgeadd()

void magmablas_cgeadd | ( | magma_int_t | m,
|  | magma_int_t | n,
|  | magmaFloatComplex | alpha,
|  | magmaFloatComplex_const_ptr | dA,
|  | magma_int_t | ldda,
|  | magmaFloatComplex_ptr | dB,
|  | magma_int_t | lddb,
|  | magma_queue_t | queue )

ZGEADD adds two matrices, dB = alpha*dA + dB.

Parameters

  [in] | m | INTEGER The number of rows of the matrix dA. M >= 0.
  [in] | n | INTEGER The number of columns of the matrix dA. N >= 0.
  [in] | alpha | COMPLEX The scalar alpha.
  [in] | dA | COMPLEX array, dimension (LDDA,N) The m by n matrix dA.
  [in] | ldda | INTEGER The leading dimension of the array dA. LDDA >= max(1,M).
  [in,out] | dB | COMPLEX array, dimension (LDDB,N) The m by n matrix dB.
  [in] | lddb | INTEGER The leading dimension of the array dB. LDDB >= max(1,M).
  [in] | queue | magma_queue_t Queue to execute in.

## magmablas_cgeadd2()

void magmablas_cgeadd2 | ( | magma_int_t | m,
|  | magma_int_t | n,
|  | magmaFloatComplex | alpha,
|  | magmaFloatComplex_const_ptr | dA,
|  | magma_int_t | ldda,
|  | magmaFloatComplex | beta,
|  | magmaFloatComplex_ptr | dB,
|  | magma_int_t | lddb,
|  | magma_queue_t | queue )

ZGEADD2 adds two matrices, dB = alpha*dA + beta*dB.

See also
  ZGEADD for dB = alpha*dA + dB, lacking beta.

Parameters

  [in] | m | INTEGER The number of rows of the matrix dA. M >= 0.
  [in] | n | INTEGER The number of columns of the matrix dA. N >= 0.
  [in] | alpha | COMPLEX The scalar alpha.
  [in] | dA | COMPLEX array, dimension (LDDA,N) The m by n matrix dA.
  [in] | ldda | INTEGER The leading dimension of the array dA. LDDA >= max(1,M).
  [in] | beta | COMPLEX The scalar beta.
  [in,out] | dB | COMPLEX array, dimension (LDDB,N) The m by n matrix dB.
  [in] | lddb | INTEGER The leading dimension of the array dB. LDDB >= max(1,M).
  [in] | queue | magma_queue_t Queue to execute in.

## magmablas_dgeadd()

void magmablas_dgeadd | ( | magma_int_t | m,
|  | magma_int_t | n,
|  | double | alpha,
|  | magmaDouble_const_ptr | dA,
|  | magma_int_t | ldda,
|  | magmaDouble_ptr | dB,
|  | magma_int_t | lddb,
|  | magma_queue_t | queue )

ZGEADD adds two matrices, dB = alpha*dA + dB.

Parameters

  [in] | m | INTEGER The number of rows of the matrix dA. M >= 0.
  [in] | n | INTEGER The number of columns of the matrix dA. N >= 0.
  [in] | alpha | DOUBLE PRECISION The scalar alpha.
  [in] | dA | DOUBLE PRECISION array, dimension (LDDA,N) The m by n matrix dA.
  [in] | ldda | INTEGER The leading dimension of the array dA. LDDA >= max(1,M).
  [in,out] | dB | DOUBLE PRECISION array, dimension (LDDB,N) The m by n matrix dB.
  [in] | lddb | INTEGER The leading dimension of the array dB. LDDB >= max(1,M).
  [in] | queue | magma_queue_t Queue to execute in.

## magmablas_dgeadd2()

void magmablas_dgeadd2 | ( | magma_int_t | m,
|  | magma_int_t | n,
|  | double | alpha,
|  | magmaDouble_const_ptr | dA,
|  | magma_int_t | ldda,
|  | double | beta,
|  | magmaDouble_ptr | dB,
|  | magma_int_t | lddb,
|  | magma_queue_t | queue )

ZGEADD2 adds two matrices, dB = alpha*dA + beta*dB.

See also
  ZGEADD for dB = alpha*dA + dB, lacking beta.

Parameters

  [in] | m | INTEGER The number of rows of the matrix dA. M >= 0.
  [in] | n | INTEGER The number of columns of the matrix dA. N >= 0.
  [in] | alpha | DOUBLE PRECISION The scalar alpha.
  [in] | dA | DOUBLE PRECISION array, dimension (LDDA,N) The m by n matrix dA.
  [in] | ldda | INTEGER The leading dimension of the array dA. LDDA >= max(1,M).
  [in] | beta | DOUBLE PRECISION The scalar beta.
  [in,out] | dB | DOUBLE PRECISION array, dimension (LDDB,N) The m by n matrix dB.
  [in] | lddb | INTEGER The leading dimension of the array dB. LDDB >= max(1,M).
  [in] | queue | magma_queue_t Queue to execute in.

## magmablas_sgeadd()

void magmablas_sgeadd | ( | magma_int_t | m,
|  | magma_int_t | n,
|  | float | alpha,
|  | magmaFloat_const_ptr | dA,
|  | magma_int_t | ldda,
|  | magmaFloat_ptr | dB,
|  | magma_int_t | lddb,
|  | magma_queue_t | queue )

ZGEADD adds two matrices, dB = alpha*dA + dB.

Parameters

  [in] | m | INTEGER The number of rows of the matrix dA. M >= 0.
  [in] | n | INTEGER The number of columns of the matrix dA. N >= 0.
  [in] | alpha | REAL The scalar alpha.
  [in] | dA | REAL array, dimension (LDDA,N) The m by n matrix dA.
  [in] | ldda | INTEGER The leading dimension of the array dA. LDDA >= max(1,M).
  [in,out] | dB | REAL array, dimension (LDDB,N) The m by n matrix dB.
  [in] | lddb | INTEGER The leading dimension of the array dB. LDDB >= max(1,M).
  [in] | queue | magma_queue_t Queue to execute in.

## magmablas_sgeadd2()

void magmablas_sgeadd2 | ( | magma_int_t | m,
|  | magma_int_t | n,
|  | float | alpha,
|  | magmaFloat_const_ptr | dA,
|  | magma_int_t | ldda,
|  | float | beta,
|  | magmaFloat_ptr | dB,
|  | magma_int_t | lddb,
|  | magma_queue_t | queue )

ZGEADD2 adds two matrices, dB = alpha*dA + beta*dB.

See also
  ZGEADD for dB = alpha*dA + dB, lacking beta.

Parameters

  [in] | m | INTEGER The number of rows of the matrix dA. M >= 0.
  [in] | n | INTEGER The number of columns of the matrix dA. N >= 0.
  [in] | alpha | REAL The scalar alpha.
  [in] | dA | REAL array, dimension (LDDA,N) The m by n matrix dA.
  [in] | ldda | INTEGER The leading dimension of the array dA. LDDA >= max(1,M).
  [in] | beta | REAL The scalar beta.
  [in,out] | dB | REAL array, dimension (LDDB,N) The m by n matrix dB.
  [in] | lddb | INTEGER The leading dimension of the array dB. LDDB >= max(1,M).
  [in] | queue | magma_queue_t Queue to execute in.

## magmablas_zgeadd()

void magmablas_zgeadd | ( | magma_int_t | m,
|  | magma_int_t | n,
|  | magmaDoubleComplex | alpha,
|  | magmaDoubleComplex_const_ptr | dA,
|  | magma_int_t | ldda,
|  | magmaDoubleComplex_ptr | dB,
|  | magma_int_t | lddb,
|  | magma_queue_t | queue )

ZGEADD adds two matrices, dB = alpha*dA + dB.

Parameters

  [in] | m | INTEGER The number of rows of the matrix dA. M >= 0.
  [in] | n | INTEGER The number of columns of the matrix dA. N >= 0.
  [in] | alpha | COMPLEX_16 The scalar alpha.
  [in] | dA | COMPLEX_16 array, dimension (LDDA,N) The m by n matrix dA.
  [in] | ldda | INTEGER The leading dimension of the array dA. LDDA >= max(1,M).
  [in,out] | dB | COMPLEX_16 array, dimension (LDDB,N) The m by n matrix dB.
  [in] | lddb | INTEGER The leading dimension of the array dB. LDDB >= max(1,M).
  [in] | queue | magma_queue_t Queue to execute in.

## magmablas_zgeadd2()

void magmablas_zgeadd2 | ( | magma_int_t | m,
|  | magma_int_t | n,
|  | magmaDoubleComplex | alpha,
|  | magmaDoubleComplex_const_ptr | dA,
|  | magma_int_t | ldda,
|  | magmaDoubleComplex | beta,
|  | magmaDoubleComplex_ptr | dB,
|  | magma_int_t | lddb,
|  | magma_queue_t | queue )

ZGEADD2 adds two matrices, dB = alpha*dA + beta*dB.

See also
  ZGEADD for dB = alpha*dA + dB, lacking beta.

Parameters

  [in] | m | INTEGER The number of rows of the matrix dA. M >= 0.
  [in] | n | INTEGER The number of columns of the matrix dA. N >= 0.
  [in] | alpha | COMPLEX_16 The scalar alpha.
  [in] | dA | COMPLEX_16 array, dimension (LDDA,N) The m by n matrix dA.
  [in] | ldda | INTEGER The leading dimension of the array dA. LDDA >= max(1,M).
  [in] | beta | COMPLEX_16 The scalar beta.
  [in,out] | dB | COMPLEX_16 array, dimension (LDDB,N) The m by n matrix dB.
  [in] | lddb | INTEGER The leading dimension of the array dB. LDDB >= max(1,M).
  [in] | queue | magma_queue_t Queue to execute in.